From 595cd43e38ebd19813b91a3db35f3a707d2ba475 Mon Sep 17 00:00:00 2001
From: Nicholas Bellinger <nab@linux-iscsi.org>
Date: Wed, 4 May 2011 15:49:14 -0700
Subject: Remove tcm_snap.py from package scripts

Signed-off-by: Nicholas A. Bellinger <nab@linux-iscsi.org>
---
 autoconfig          | 4 ----
 debian/postinst     | 5 -----
 debian/prerm        | 4 ----
 tcm-py/install.sh   | 4 ----
 tcm-py/setup.py     | 2 +-
 tcm-py/uninstall.sh | 4 ----
 6 files changed, 1 insertion(+), 22 deletions(-)

diff --git a/autoconfig b/autoconfig
index 5f51028..eb925f4 100755
--- a/autoconfig
+++ b/autoconfig
@@ -365,8 +365,6 @@ sub make_target_user_rpm
 							mode => 755},
 			"$py_inst_dir/tcm_fabric.py" => { original => "tcm-py/tcm_fabric.py",
 							mode => 755},
-			"$py_inst_dir/tcm_snap.py" => { original => "tcm-py/tcm_snap.py",
-						        mode => 755},
 			"/sbin/iscsi-name"         => { original => "tools/iscsi-name",
 							mode => 755},
 			"$py_inst_dir/lio_node.py" => { original => "lio-py/lio_node.py",
@@ -378,7 +376,6 @@ sub make_target_user_rpm
     $iscsid->{post} .= "if [ ! -h /usr/sbin/tcm_node ]; then ln -s $py_inst_dir/tcm_node.py /usr/sbin/tcm_node; fi; ";
     $iscsid->{post} .= "if [ ! -h /usr/sbin/tcm_dump ]; then ln -s $py_inst_dir/tcm_dump.py /usr/sbin/tcm_dump ; fi; ";
     $iscsid->{post} .= "if [ ! -h /usr/sbin/tcm_fabric ]; then ln -s $py_inst_dir/tcm_fabric.py /usr/sbin/tcm_fabric ; fi; ";
-    $iscsid->{post} .= "if [ ! -h /usr/sbin/tcm_snap ]; then ln -s $py_inst_dir/tcm_snap.py /usr/sbin/tcm_snap ; fi; ";
     $iscsid->{post} .= "if [ ! -h /usr/sbin/lio_node ]; then ln -s $py_inst_dir/lio_node.py /usr/sbin/lio_node ; fi;";
     $iscsid->{post} .= "if [ ! -h /usr/sbin/lio_dump ]; then ln -s $py_inst_dir/lio_dump.py /usr/sbin/lio_dump ; fi;";
 
@@ -386,7 +383,6 @@ sub make_target_user_rpm
     $iscsid->{preun} .= "	unlink /usr/sbin/tcm_node ;";
     $iscsid->{preun} .= "	unlink /usr/sbin/tcm_dump ;";
     $iscsid->{preun} .= "       unlink /usr/sbin/tcm_fabric ;";
-    $iscsid->{preun} .= "       unlink /usr/sbin/tcm_snap ;";
     $iscsid->{preun} .= "	unlink /usr/sbin/lio_node ;";
     $iscsid->{preun} .= "	unlink /usr/sbin/lio_dump ;";
     $iscsid->{preun} .= "fi; ";
diff --git a/debian/postinst b/debian/postinst
index 0b3b223..9ea01e3 100755
--- a/debian/postinst
+++ b/debian/postinst
@@ -16,11 +16,6 @@ if [ ! -h /usr/sbin/tcm_node ]; then
 	ln -s $INSTALL_PATH/tcm_node.py /usr/sbin/tcm_node;
 fi
 
-if [ ! -h /usr/sbin/tcm_snap ]; then
-	chmod a+x $INSTALL_PATH/tcm_snap.py;
-	ln -s $INSTALL_PATH/tcm_snap.py /usr/sbin/tcm_snap;
-fi
-
 if [ ! -h /usr/sbin/tcm_loop ]; then
 	chmod a+x $INSTALL_PATH/tcm_loop.py;
 	ln -s $INSTALL_PATH/tcm_loop.py /usr/sbin/tcm_loop;
diff --git a/debian/prerm b/debian/prerm
index 11bcf90..bd0f6f2 100755
--- a/debian/prerm
+++ b/debian/prerm
@@ -14,10 +14,6 @@ if [ -h /usr/sbin/tcm_node ]; then
         unlink /usr/sbin/tcm_node;
 fi
 
-if [ -h /usr/sbin/tcm_snap ]; then
-        unlink /usr/sbin/tcm_snap;
-fi
-
 if [ -h /usr/sbin/tcm_loop ]; then
 	unlink /usr/sbin/tcm_loop;
 fi
diff --git a/tcm-py/install.sh b/tcm-py/install.sh
index 95fc87b..cbb39ae 100755
--- a/tcm-py/install.sh
+++ b/tcm-py/install.sh
@@ -4,7 +4,6 @@ SITE_PACKAGES=`python ../get-py-modules-path.py`
 
 chmod a+x $SITE_PACKAGES/tcm_node.py
 chmod a+x $SITE_PACKAGES/tcm_dump.py
-chmod a+x $SITE_PACKAGES/tcm_snap.py
 chmod a+x $SITE_PACKAGES/tcm_loop.py
 chmod a+x $SITE_PACKAGES/tcm_fabric.py
 
@@ -14,9 +13,6 @@ fi
 if [ ! -f /usr/sbin/tcm_dump ]; then
         ln -s $SITE_PACKAGES/tcm_dump.py /usr/sbin/tcm_dump
 fi
-if [ ! -f /usr/sbin/tcm_snap ]; then
-	ln -s $SITE_PACKAGES/tcm_snap.py /usr/sbin/tcm_snap
-fi
 if [ ! -f /usr/sbin/tcm_loop ]; then
 	ln -s $SITE_PACKAGES/tcm_loop.py /usr/sbin/tcm_loop
 fi
diff --git a/tcm-py/setup.py b/tcm-py/setup.py
index 6463518..437b758 100755
--- a/tcm-py/setup.py
+++ b/tcm-py/setup.py
@@ -12,6 +12,6 @@ setup (name='tcm',
       author_email='nab@linux-iscsi.org',
       url='http://linux-iscsi.org',
       license='GPL',
-      py_modules=['tcm_dump', 'tcm_fileio','tcm_iblock','tcm_node','tcm_pscsi','tcm_ramdisk','tcm_snap','tcm_loop','tcm_fabric']
+      py_modules=['tcm_dump', 'tcm_fileio','tcm_iblock','tcm_node','tcm_pscsi','tcm_ramdisk','tcm_loop','tcm_fabric']
 )
 
diff --git a/tcm-py/uninstall.sh b/tcm-py/uninstall.sh
index a7bf0fb..d8cc10c 100755
--- a/tcm-py/uninstall.sh
+++ b/tcm-py/uninstall.sh
@@ -13,10 +13,6 @@ if [ -f /usr/sbin/tcm_loop ]; then
         rm /usr/sbin/tcm_loop
 fi
 
-if [ -f /usr/sbin/tcm_snap ]; then
-        rm /usr/sbin/tcm_snap
-fi
-
 if [ -f /usr/sbin/tcm_fabric ]; then
         rm /usr/sbin/tcm_fabric
 fi
-- 
1.8.1.4

